Loading...
Searching...
No Matches
logmacro.h File Reference

This header defines the logging macros. More...

## Macros

#define | DCMTK_LOG4CPLUS_MACRO_LOGLEVEL_PRED(pred, logLevel)
| Dispatch to DCMTK_LOG4CPLUS_MACRO_LOGLEVEL_* depending on log level.
#define | DCMTK_LOG4CPLUS_TRACE(logger, logEvent)
| TraceLogger to log a TRACE_LOG_LEVEL message to `logger` upon entry and exiting of a method.
#define | DCMTK_LOG4CPLUS_DEBUG(logger, logEvent)
| DEBUG_LOG_LEVEL message to `logger`.
#define | DCMTK_LOG4CPLUS_INFO(logger, logEvent)
| INFO_LOG_LEVEL message to `logger`.
#define | DCMTK_LOG4CPLUS_WARN(logger, logEvent)
| WARN_LOG_LEVEL message to `logger`.
#define | DCMTK_LOG4CPLUS_ERROR(logger, logEvent)
| ERROR_LOG_LEVEL message to `logger`.
#define | DCMTK_LOG4CPLUS_FATAL(logger, logEvent)
| FATAL_LOG_LEVEL message to `logger`.

## Detailed Description

This header defines the logging macros.

## Macro Definition Documentation

## DCMTK_LOG4CPLUS_DEBUG

#define DCMTK_LOG4CPLUS_DEBUG | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, DEBUG_LOG_LEVEL)

DEBUG_LOG_LEVEL message to `logger`.

`logEvent` will be streamed into an `ostream`.

## DCMTK_LOG4CPLUS_ERROR

#define DCMTK_LOG4CPLUS_ERROR | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, ERROR_LOG_LEVEL)

ERROR_LOG_LEVEL message to `logger`.

`logEvent` will be streamed into an `ostream`.

## DCMTK_LOG4CPLUS_FATAL

#define DCMTK_LOG4CPLUS_FATAL | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, FATAL_LOG_LEVEL)

FATAL_LOG_LEVEL message to `logger`.

`logEvent` will be streamed into an `ostream`.

## DCMTK_LOG4CPLUS_INFO

#define DCMTK_LOG4CPLUS_INFO | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, INFO_LOG_LEVEL)

INFO_LOG_LEVEL message to `logger`.

`logEvent` will be streamed into an `ostream`.

## DCMTK_LOG4CPLUS_TRACE

#define DCMTK_LOG4CPLUS_TRACE | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, TRACE_LOG_LEVEL)

TraceLogger to log a TRACE_LOG_LEVEL message to `logger` upon entry and exiting of a method.

`logEvent` will be streamed into an `ostream`.

## DCMTK_LOG4CPLUS_WARN

#define DCMTK_LOG4CPLUS_WARN | ( |  | logger,
|  |  | logEvent )

Value:
DCMTK_LOG4CPLUS_MACRO_BODY (logger, logEvent, WARN_LOG_LEVEL)

WARN_LOG_LEVEL message to `logger`.

`logEvent` will be streamed into an `ostream`.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0